%global pkgname django-registration
Name:           python-django-registration
Version:        0.8
Release:        8%{?dist}
Summary:        A user-registration application for Django

Group:          Development/Libraries
License:        BSD
URL:            http://bitbucket.org/ubernostrum/django-registration/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-django

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < 0.7-5

%description
This is a fairly simple user-registration application for Django_,
designed to make allowing user sign ups as painless as possible. It
requires a functional installation of Django 1.0 or newer, but has no
other dependencies.


%prep
%setup -q -n %{pkgname}-%{version}
rm -rf docs/_build/html/.buildinfo

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang


%files -f %{name}.lang
%doc LICENSE AUTHORS CHANGELOG README docs/*
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/registration
%{python_sitelib}/registration/management
%{python_sitelib}/registration/backends
%{python_sitelib}/registration/tests
%{python_sitelib}/registration/*.py*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 10 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8-5
- correct django-registration obs_ver

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.8-1
- New version

* Sat Mar 24 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.7-5
- Made minor changes according to review

* Fri Mar 23 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.7-4
- Renamed package to python-django-registration

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Aug 06 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.7-2
- Take over the package

* Mon Sep 28 2009 Michel Salim <salimma@fedoraproject.org> - 0.7-1
- Initial package
